Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ACE_RMCast::Data Struct Reference

This is the main message sent by senders. More...

`#include <RMCast.h>`

Collaboration diagram for ACE_RMCast::Data:

[legend]
List of all members.

## Public Attributes
ACE_UINT32 | sequence_number
ACE_UINT32 | total_size
ACE_UINT32 | fragment_offset
ACE_Message_Block * | payload
ACE_RMCast_Proxy * | source
| Pass the proxy source between layers.

## Detailed Description

This is the main message sent by senders.

`+---------+----------------------+
| 8 bits | DATA |
+---------+----------------------+
| 32 bits | sequence_number |
+---------+----------------------+
| 32 bits | message_size |
+---------+----------------------+
| 32 bits | fragment_offset |
+---------+----------------------+
? ? ? ? ? | 32 bits | payload_size |
? ? ? ? ? +---------+----------------------+
| | payload |
+---------+----------------------+
`

## Member Data Documentation

ACE_UINT32 ACE_RMCast::Data::fragment_offset

ACE_Message_Block* ACE_RMCast::Data::payload

ACE_UINT32 ACE_RMCast::Data::sequence_number

ACE_RMCast_Proxy* ACE_RMCast::Data::source

| Pass the proxy source between layers.

ACE_UINT32 ACE_RMCast::Data::total_size

The documentation for this struct was generated from the following file:

- RMCast.h